.btn {
  &::after {
    content: "";
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    display: inline-block;
    transition: all 0.4s;
    border-radius: 10rem;
    height: 100%;
    width: 100%;
  }

  &,
  &:link,
  &:visited {
    position: relative;
    display: inline-block;
    transition: all 0.2s;
    border-radius: 10rem;
    padding: 1.5rem 4rem;
    font-size: $default-font-size;
    text-transform: uppercase;
    text-decoration: none;

    //Change for the <button> element
    border: none;
    cursor: pointer;
  }

  &:hover {
    transform: translateY(-0.3rem);
    box-shadow: 0 1rem 2rem rgba($color-black, 0.2);

    &::after {
      opacity: 0;
      transform: scaleX(1.3) scaleY(1.6);
    }
  }

  &:active,
  &:focus {
    outline: none;
    transform: translateY(-1px);
    box-shadow: 0 0.5rem 1rem rgba($color-black, 0.2);
  }

  &--white {
    background-color: $color-white;
    color: $color-grey-dark-1;

    &::after {
      background-color: $color-white;
    }
  }

  &--green {
    background-color: $color-primary;
    color: $color-white;

    &::after {
      background-color: $color-primary;
    }
  }

  &--animated {
    animation: moveInBottom 0.5s ease-out 0.75s;
    animation-fill-mode: backwards;
  }
}

.btn-text {
  &:link,
  &:visited {
    display: inline-block;
    transition: all 0.2s;
    border-bottom: 1px solid $color-primary;
    padding: 3px;
    font-size: $default-font-size;
    text-decoration: none;
    color: $color-primary;
  }

  &:hover {
    transform: translateY(-0.2rem);
    box-shadow: 0 1rem 2rem rgba($color-black, 0.15);
    color: $color-white;
    background-color: $color-primary;
  }

  &:active {
    transform: translateY(0);
    box-shadow: 0 0.5rem 1rem rgba($color-black, 0.15);
  }
}
